GCLOUD_DEBUG_SNAPSHOTS_DESCRIBE(1)

NAME

gcloud debug snapshots describe - describe debug snapshots

SYNOPSIS

gcloud debug snapshots describe [ID ...] [--location=LOCATION-REGEXP] [--target=(ID|DESCRIPTION_REGEXP)] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command describes debug snapshots for a Cloud Debugger debug target. If the snapshot has been completed, the output will include details on the stack trace and local variables, stored in a compact form which is primarily intended to be machine-readable rather than human-readable.

POSITIONAL ARGUMENTS

    [ID ...]
        Zero or more snapshot resource identifiers. The specified snapshots will be displayed.

FLAGS

    --location=LOCATION-REGEXP
        A regular expression to match against snapshot locations. All snapshots matching this value will be displayed. You may specify --location multiple times. EXAMPLE:
        gcloud debug snapshots describe \
            --location foo.py:[1-3] --location bar.py:4

    --target=(ID|DESCRIPTION_REGEXP)
        The debug target. It may be a target ID or name obtained from 'debug targets list', or it may be a regular expression uniquely specifying a debuggee based on its description or name. For App Engine projects, if not specified, the default target is the most recent deployment of the default module and version.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.